# Deposit destinations

GET https://api.bb.no/v1/deposit-destinations/bitcoin

Fetches bitcoin deposit destinations. These destinations are always valid,
 and can be used for receiving arbitrary amounts. Onchain addresses are refreshed
 every time a deposit is made, but all prior generated addresses are still valid.

## Authentication

x-bb-api-key: Public part of your API key. Starts with `bb/public/`.

[API keys and signing](https://barebitcoin.no/developers/authentication/api-keys)

## Parameters

### accountId

query parameter · string

If empty, the default account is used.



## Examples

### API key

```sh
curl -X GET \
  https://api.bb.no/v1/deposit-destinations/bitcoin \
  -H "x-bb-api-key: $BB_API_KEY"
```



## Responses

### 200

OK

Example:

```json
{
  "onchainAddress": {
    "destination": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "network": "NETWORK_BITCOIN"
  },
  "lightningAddress": {
    "destination": "aktiv-anker@bb.no",
    "network": "NETWORK_LIGHTNING"
  },
  "lnurlPay": {
    "destination": "LNURL1DP68GURN8GHJ7CTSDYHXYC3WDEHJ7MRFVA58GMNFDENJ7MRWW4EXCTTSV9UN7CTRVDHH2MN584SKXC6LXQC5S526TQE4VW2TFG6Y6VJS8PFRV4PS2U64JD6ZGVN82UM9WG7N2C33VCEKXVN995UXZDRY956XVDNZ95UK2VNR95MKGVTPXP3RXCE5V56KVGK8387",
    "network": "NETWORK_LIGHTNING"
  }
}
```

[DepositDestinationsResponse](https://barebitcoin.no/developers/models/DepositDestinationsResponse).

Source: https://barebitcoin.no/developers/api/transfers/deposit-destinations


## Model: DepositDestinationsResponse





### onchainAddress

Type: DepositDestination.

Bitcoin address for on-chain deposits to the account.



Bitcoin address for on-chain deposits to the account.



[DepositDestination](https://barebitcoin.no/developers/models/DepositDestination).

### lightningAddress

Type: DepositDestination.

Lightning address (name@bb.no) that accepts payments of any amount to the
 account.



Lightning address (name@bb.no) that accepts payments of any amount to the
 account.



[DepositDestination](https://barebitcoin.no/developers/models/DepositDestination).

### lnurlPay

Type: DepositDestination.

LNURL-pay code that accepts Lightning payments to the account.



LNURL-pay code that accepts Lightning payments to the account.



[DepositDestination](https://barebitcoin.no/developers/models/DepositDestination).

## Model: DepositDestination





### destination

Type: string.







### network

Type: string · enum.



Values: NETWORK_BITCOIN, NETWORK_LIGHTNING

